var NIGHT_ID    = "kk_night";

function insert_night_css() {
	  var style_node  = document.createElement("style");
    style_node.type = "text/css";
    style_node.rel  = "stylesheet";
    style_node.id   = NIGHT_ID;
    var styleStr    = 'data:text/css,html,body,h2,h3,h4,h5,h6,table,tr,td,th,tbody,form,ul,ol,li,dl,dd,section,footer,nav,strong,aside,header,label{background: #0B0C10 !important;background-image:none !important;background-color: #0B0C10 !important;color:#59758a!important;border-color:#212A32!important;box-shadow:0 0 0!important;text-shadow: 0 0 0!important;}html body{background-color: #0B0C10 !important;}article,dt,div,h1{background-color: #0B0C10 !important;color:#59758a!important;border-color:#212A32!important;box-shadow:0 0 0!important;text-shadow: 0 0 0!important;}p{color:#59758a!important;border-color:#212A32!important;box-shadow:0 0 0!important;text-shadow: 0 0 0!important;}div:empty,div[id=\"x-video-button\"],div[class=\"x-advert\"]{background-color:transparent !important;}dt:not(:empty),div:not(:empty),p:not(:empty),span:not(:empty){background-image:none !important;}span,em{background-color: transparent !important;color:#59758a!important;border-color:#212A32!important;box-shadow:0 0 0!important;text-shadow: 0 0 0!important;}html,html body{scrollbar-base-color: #46567b !important;scrollbar-face-color: #56688f !important;scrollbar-shadow-color: #222 !important;scrollbar-highlight-color: #56688f !important;scrollbar-dlight-color: #2e3952 !important;scrollbar-darkshadow-color: #222 !important;scrollbar-track-color: #46567b !important;scrollbar-arrow-color: #000 !important;scrollbar-3dlight-color: #7a7967 !important;}html input,html select,html button,html textarea{box-shadow:0 0 0!important;color:#59758A!important;background-color: #0B0C10 !important;border-color:#212A32!important;}html input:focus,html select:focus,html option:focus,html button:focus,html textarea:focus{background-color: #0B0C10 !important;color:#59758A!important;border-color:#1A3973!important;outline:2px solid #1A3973!important;}html input:hover,html select:hover,html option:hover,html button:hover,html textarea:hover{background-color: #0B0C10 !important;color:#59758A!important;border-color:#1A3973!important;outline:2px solid #1A3973!important;}html input[type=text],html input[type=password]{background-image:none !important;}html input[type=submit],html button{opacity:.5;border:1px solid #212A32!important;}html input[type=submit]:hover,html button:hover{opacity:1;border:1px solid #1A3973!important;outline:2px solid #1A3973!important;}html img[src],html input[type=image]{opacity:.5;}html input[type=image]:hover{opacity:1;}div[class=\"img-view\"],ul[id=\"imgview\"],a[class^=\"prev\"],a[class^=\"next\"]a[class^=\"topic_img\"],a[class^=\"arrow\"],a:active[class^=\"arrow\"],a:visited[class^=\"arrow\"],img[src^=\"data\"],img[loaded=\"1\"]{background: none !important;}a[class^=\"arrow\"]{height:0}.anythingSlider .arrow{background: none !important;}html a,html a *{background-color: transparent !important;color:#366ba6!important;text-decoration:none!important;border-color:#212A32!important;text-shadow: 0 0 0!important;}html a:visited,html a:visited *{color:#a716b9!important;}html a:hover,html a:active{color:none !important; border-color:none !important;}a img{background: none !important;}#toolbarBox,#move_tip{background:none !important;}#logolink,#mask{background-color:#0B0C10 !important;border-bottom:none !important;}div::after{background-color:#0B0C10 !important}input::-webkit-input-placeholder{color:#59758a !important;}'
				+ 'a>img,div.ctgyitmtxtctn,div.logo_nav,div.main_nav{background: none !important;}'
				+ '.taoplus .tpbtn, .taoplus .icontao, .taoplus .iconlogis, .taoplus .iconww, .taoplus .iconcar, .taoplus .tpicons, .taoplus .cart span{background: url(http://a.tbcdn.cn/mw/base/styles/component/taoplus/images/sprite1.png) no-repeat!important;-webkit-background-size: 195px 274px !important;}'
				+ 'div.taoplus, div.circle, .tpicons li, .tplogo{background:none !important;}'
				+ '.taoplus .tpbtn{background-position: 1px -197px!important;}'
				+ '.taoplus .tpbtn .icontao{background-position: -107px -200px!important;}'
				+ '.taoplus .tpbtn > div, .taoplus .tpbtn > div > ul{background:none!important;}'
				+ '.yk-player div{background-color: transparent!important;}'
				+ '.svp_player_bg_loading div{background-color: transparent!important;}'
				+ '.taoplus{opacity:0.9!important}'
				+ 'body .msfi{border-top: 1px solid #0B0C10 !important;border-bottom: 1px solid #0B0C10 !important;border-left: 1px solid #0B0C10 !important;}'
				+ 'body .msfi div{background-color: #585858 !important;}'
				+ 'body .msfi input{background-color: #585858 !important;} html .mobile-login-form span {color: white!important;} ._56be::before{border-color: rgb(69, 69, 77)!important;}';
    style_node.appendChild(document.createTextNode(styleStr));
    document.documentElement.appendChild(style_node);
}
 
function night_mode_enable() {
	if(document.getElementById(NIGHT_ID)){
			return;
	}
  insert_night_css();
}

function night_mode_disable() {
    var styleElement = null;
    styleElement = document.getElementById(NIGHT_ID);
    if (styleElement) {
        styleElement.parentNode.removeChild(styleElement);
    }
} 
